org.apache.mina.example.tapedeck

## Class Command

- java.lang.Object
- - org.apache.mina.example.tapedeck.Command

- Direct Known Subclasses:
    EjectCommand, InfoCommand, ListCommand, LoadCommand, PasswordCommand, PauseCommand, PlayCommand, QuitCommand, StopCommand, UserCommand

      public abstract class Command
      extends Object

  The base class of all `Command` types.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Command()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Command

          public Command()

  - ### Method Detail

    - #### getName

          public abstract String getName()

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.